{% extends 'base.html.twig' %}

{% block title %}Author index{% endblock %}

{% block body %}
    <h1>Author index</h1>

    <table class="table">
        <thead>
            <tr>
                <th>Id</th>
                <th>First_name</th>
                <th>Last_name</th>
                <th>Gender</th>
                <th>Birth_date</th>
                <th>Death_date</th>
                <th>Description</th>
                <th>actions</th>
            </tr>
        </thead>
        <tbody>
        {% for author in authors %}
            <tr>
                <td>{{ author.id }}</td>
                <td>{{ author.firstName }}</td>
                <td>{{ author.lastName }}</td>
                <td>{{ author.gender }}</td>
                <td>{{ author.birthDate ? author.birthDate|date('Y-m-d') : '' }}</td>
                <td>{{ author.deathDate ? author.deathDate|date('Y-m-d') : '' }}</td>
                <td>{{ author.description }}</td>
                <td>
                    <a href="{{ path('author_show', {'id': author.id}) }}">show</a>
                    <a href="{{ path('author_edit', {'id': author.id}) }}">edit</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="8">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <a href="{{ path('author_new') }}">Create new</a>
{% endblock %}
